weibo 04
11 个接口
fetch user followingfetch user infofetch user original postsfetch user postsfetch user recommend timelinefetch user searchfetch user video collection detailfetch user video collection listfetch user video listfetch video searchsearch user posts
GETfetch user following
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_following1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_following?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_info'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user original posts
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_original_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_original_posts?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user posts
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_posts?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user recommend timeline
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_recommend_timeline1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_recommend_timeline'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_search'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user video collection detail
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
cid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_detail?cid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user video collection list
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_collection_list?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user video list
GET https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_user_video_list?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_video_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_video_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETsearch user posts
GET https://dkai.store/api/v1/weibo/web_v2/search_user_posts1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/search_user_posts?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。